Bug 2013617 - KubePodCrashLooping may not fire
Summary: KubePodCrashLooping may not fire
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.9
Hardware: All
OS: All
high
medium
Target Milestone: ---
: 4.9.z
Assignee: Philip Gough
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 2006767
Blocks: 2030698
TreeView+ depends on / blocked
 
Reported: 2021-10-13 11:37 UTC by Philip Gough
Modified: 2021-12-09 14:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2006767
: 2030698 (view as bug list)
Environment:
Last Closed: 2021-11-01 13:44:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1448 0 None open Bug 2013617: Update KubePodCrashLooping alert 2021-10-21 10:36:57 UTC
Red Hat Product Errata RHBA-2021:4005 0 None None None 2021-11-01 13:44:51 UTC

Comment 1 Junqi Zhao 2021-10-25 11:55:50 UTC
tested with the PR, KubePodCrashLooping expr is changed to below, used the deployment file from https://bugzilla.redhat.com/show_bug.cgi?id=2006767#c1 and watched for a few minutes, the result for the expr is continuous
        - alert: KubePodCrashLooping
          annotations:
            description: 'Pod {{ $labels.namespace }}/{{ $labels.pod }} ({{ $labels.container
              }}) is in waiting state (reason: "CrashLoopBackOff").'
            summary: Pod is crash looping.
          expr: |
            max_over_time(kube_pod_container_status_waiting_reason{reason="CrashLoopBackOff", namespace=~"(openshift-.*|kube-.*|default)",job="kube-state-metrics"}[5m]) >= 1
          for: 15m
          labels:
            severity: warning

Comment 7 errata-xmlrpc 2021-11-01 13:44:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.9.5 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4005


Note You need to log in before you can comment on or make changes to this bug.